<template>
	<view class="page pageList">
		<navbar title="找工作" leftClick @leftClick="$utils.navigateBack" />
		
		<view
		style="padding: 10rpx 20rpx;">
			<uv-search
			bgColor="#fff"
			@search="getData"
			@custom="getData"
			searchIconSize="30rpx"
			placeholder="请输入搜索关键字..." 
			v-model="title"></uv-search>
		</view>
		
		<workList ref="workList"/>
		
	</view>
</template>

<script>
	import workList from '../components/list/workList/index.vue'
	export default {
		components : {
			workList,
		},
		data() {
			return {
				title : '',
			}
		},
		onShow() {
			this.getData()
		},
		onPullDownRefresh() {
			this.getData()
		},
		onReachBottom() {
			this.$refs.workList.loadMoreData()
		},
		methods: {
			getData(){
				this.$refs.workList.getData(this.title)
			},
		}
	}
</script>

<style scoped lang="scss">
</style>
